Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
trollOffline
Post subject: (solved) scanner epson v100 -  PostPosted: 14.01.2011, 23:56



Joined: 2011-01-14
Posts: 9

Status: Offline
Hi, I am looking for driver in aptosid (Keres). Scanner Epson V100 was not found.
I used following files:
pastebin.php?mode=view&s=6304 (original from demianforum.de is only the idea)
epson_v100/iscan-data_1.6.0-0_all.deb
epson_v100/iscan-plugin-gt-s600_2.1.0-3_i386.deb
epson_v100/iscan_2.26.1-3_i386.deb
Any device for me ?
Kind regards from troll


Last edited by troll on 29.06.2011, 05:24; edited 2 times in total
 
 View user's profile Send private message  
Reply with quote Back to top
devilOffline
Post subject: RE: scanner epson v100  PostPosted: 15.01.2011, 07:03



Joined: 2010-08-26
Posts: 491
Location: Berlin
Status: Offline
the drivers are not in debian.
http://ubuntuforums.org/showthread.php?p=10329100

greetz
devil
 
 View user's profile Send private message  
Reply with quote Back to top
trollOffline
Post subject: Re: RE: scanner epson v100  PostPosted: 15.01.2011, 21:19



Joined: 2011-01-14
Posts: 9

Status: Offline
      devil wrote:
the drivers are not in debian.
http://ubuntuforums.org/showthread.php?p=10329100
greetz devil


Hi, the machine is a scanner Epson V100, not a printer.
See also: http://www.avasys.jp/lx-bin2/linux_e/scan/DL2.do
The driver does not work. I use aptosid / keres,

following I have done:
# dpkg -i iscan-plugin-gt-s600_2.1.0-3_i386.deb
(Lese Datenbank ... 102956 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereiten zum Ersetzen von iscan-plugin-gt-s600 2.0.0-2 (durch iscan-plugin-gt-s600_2.1.0-3_i386.deb) ...
Entpacke Ersatz für iscan-plugin-gt-s600 ...
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von iscan-plugin-gt-s600:
iscan-plugin-gt-s600 hängt ab von iscan (>= 2.16.1); aber:
Version von iscan auf dem System ist 2.3.0-2.
dpkg: Fehler beim Bearbeiten von iscan-plugin-gt-s600 (--install):
Abhängigkeitsprobleme - lasse es unkonfiguriert
Fehler traten auf beim Bearbeiten von:
iscan-plugin-gt-s600

# dpkg -i iscan-data_1.6.0-0_all.deb
dpkg: Betreffend iscan-data_1.6.0-0_all.deb, welches iscan-data enthält:
iscan-data kollidiert mit iscan (<< 2.26.1)
iscan (Version 2.3.0-2) ist vorhanden und installiert.
dpkg: Fehler beim Bearbeiten von iscan-data_1.6.0-0_all.deb (--install):
Kollidierende Pakete - installiere iscan-data nicht
Fehler traten auf beim Bearbeiten von:
iscan-data_1.6.0-0_all.deb

# dpkg -i iscan_2.26.1-3_i386.deb
dpkg: Betreffend iscan_2.26.1-3_i386.deb, welches iscan enthält:
iscan kollidiert mit iscan-plugin-gt-s600 (<< 2.1)
iscan-plugin-gt-s600 (Version 2.0.0-2) ist vorhanden und installiert.
dpkg: Fehler beim Bearbeiten von iscan_2.26.1-3_i386.deb (--install):
Kollidierende Pakete - installiere iscan nicht
Fehler traten auf beim Bearbeiten von:
iscan_2.26.1-3_i386.deb

Where is the problem ?
Kind regards
troll
 
 View user's profile Send private message  
Reply with quote Back to top
aylaOffline
Post subject:   PostPosted: 16.01.2011, 09:26



Joined: 2010-09-11
Posts: 50
Location: Germany
Status: Offline
      Code:
apt-get purge iscan

will ask you to remove iscan and iscan-plugin. Say yes and then
install the needed versions. iscan-data should not get touched with this operation AFAIK, else you would have to install it again, too, at first.
But there is a problem with the modules depending on libltdl3 which is in debian lenny, but not in squeeze or sid, also libltdl-dev does not work as replacement.
Modules using libltdl7 are working on my V30. But they are only available in packages build for other distros, so I guess this a thread for "dragons".

EDIT:

ok, after a few times trying to compile iscan from sources with no working succes.

Got my V30 running without the libltdl7 depending packages.

I edited /etc/apt/sources.list.d/debian.list and added this line:
      Quote:

running:
      Code:
apt-get update
apt-get install libltdl3
apt-get purge iscan
dpkg -i iscan_2.26.1-3_amd64.deb

after that I installed the plugin again, too, which on my V30 is another one then you need, also you need the 386-packages insteed of the amd64 of course.

edited debian.list again and commented out the "lenny" line

      Code:
apt-get update


works for me.
 
 View user's profile Send private message  
Reply with quote Back to top
trollOffline
19 Post subject:   PostPosted: 16.01.2011, 23:00



Joined: 2011-01-14
Posts: 9

Status: Offline
[quote="ayla"] But they are only available in packages build for other distros, so I guess this a thread for "dragons".
[/quote

Hi, thank you for your answer. I have done, as you wrote, but it do not work. Later I found something about epson v100. it seems to be the same problem:
      Code:
http://debianforum.de/forum/pastebin.php?mode=view&s=35210

There is something with epkowa . . . What shall we do now ?
Kind regards
troll
 
 View user's profile Send private message  
Reply with quote Back to top
aylaOffline
Post subject:   PostPosted: 17.01.2011, 03:17



Joined: 2010-09-11
Posts: 50
Location: Germany
Status: Offline
Have you got the same error massage as there is at the end of the linked list?

Or have you got "no devices found"?

Which program have you tried for scanning?

Have you tried scanning with xsane as root (just for tests)?

Is that your own pastebin as way4me on debianforum.de? Then please cross reference the threads.
 
 View user's profile Send private message  
Reply with quote Back to top
trollOffline
Post subject: epson v100 - it works !  PostPosted: 17.01.2011, 09:13



Joined: 2011-01-14
Posts: 9

Status: Offline
hi, one day later it is going into operation! Why? I could not see it.
I used always the xsane image scanning program. First I tried as root to install files for epson v100. I tried my luck, but the device was not found. Than I was scanning for indications.
No, it is not my own pastebin. I found something like my problem. At last it was the same error massage as there is at the end of the linked list. All the tips were helpful.
Thank you for your advice.
Kind regards
troll
 
 View user's profile Send private message  
Reply with quote Back to top
ggeorganOffline
Post subject: Installation report  PostPosted: 17.05.2011, 09:56



Joined: 2011-04-22
Posts: 4

Status: Offline
Following a fresh install of «Γῆρας», neither Skanlite nor Xsane detect the Epson Perfection V350 PHOTO scanner.

One needs to go this site
http://www.avasys.jp/lx-bin2/linux_e/scan/DL1.do
and download three deb packages as follows :
iscan_2.26.3-1.ltdl7_i386.deb
iscan-data_1.8.1-1_all.deb
iscan-plugin-gt-f700_2.1.2-1_i386.deb

then as root :
      Code:
dpkg -i iscan_2.26.3-1.ltdl7_i386.deb
dpkg -i iscan-data_1.8.1-1_all.deb
dpkg -i iscan-plugin-gt-f700_2.1.2-1_i386.deb


and reboot

The Iscan software for Epson is now to be found on the Graphics submenu.
Surpisingly (?!) Skanlite and Xsane also work now !
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio